<?php


// drop table


// prerequisites
require_once ('functions/token.php');
require_once ('functions/log.php');
require_once ('functions/table.php');
require_once ('functions/html.php');


app_log ('drop.php');
app_log ('');

check_table();

$confirmation = optional_param ('confirmation', '[^YESno]', '');

html_head ('Drop table');

echo_r ('Delete Database Table', 'h3');

switch ($confirmation) {
	case 'no':
		tag ('form', 1, 'action="drop.php" method="get"');
		echo_r ('<input type="hidden" name="table" value="' . $table . '" />');
		echo_r ('<input type="hidden" name="token" value="' . $token . '" />');
		echo_r ('If you want table "' . $table . '" to be dropped, type YES into the following field:', 'p');
		tag ('p', 1);
		echo_r ('<input type="input" name="confirmation" value="" />');
		echo_r ('<input type="submit" name="submit" value="delete" />');
		untag ('p', 1);
		untag ('form', 1);
		break;
	case 'YES':
		delete_table();
		echo_r ('Table has been deleted.', 'p');
		break;
	default:
		echo_r ('Deletion has not been confirmed.', 'p');
}

echo_r ('<a href="index.php?token=' . $token . '">Back</a>', 'p');

html_foot();
	
// close database
$mysql->close();


?>