<?php

// generate list of tables for index page

// prerequisites
require_once ('config/config.php');
require_once ('functions/mysql.php');
require_once ('functions/html.php');


function get_tablegrid ($table, $grid, $limit, $select = 'newest') {
	global $token;
	return 'table=' . $table . (empty ($token) ? '' : '&token=' . $token) . '&grid=' . $grid . '&limit=' . $limit . '&select=' . $select;
}


function get_tablelist() {
	global $token;
	tag ('table', 1);
	tag ('tr', 1);
	echo_r ('Table', 'td', 'class="firstrow firstcol"');
	echo_r ('Raw HTML', 'td', 'colspan="2" class="firstrow"');
	echo_r ('Grouped HTML', 'td', 'colspan="3" class="firstrow"');
	echo_r ('Raw CSV', 'td', 'class="firstrow"');
	echo_r ('Actions', 'td', 'class="firstrow"');
	untag ('tr', 1);
	foreach (get_tables() as $tablename) {
		tag ('tr', 1);
		echo_r ($tablename, 'td', 'class="firstcol"');
		echo_r ('<a href="html.php?' . get_tablegrid ($tablename, 'raw', 100, 'oldest') . '">first 100</a>', 'td');
		echo_r ('<a href="html.php?' . get_tablegrid ($tablename, 'raw', 100) . '">last 100</a>', 'td');
		echo_r ('<a href="html.php?' . get_tablegrid ($tablename, 'hour', 24) . '">24 hours</a>', 'td');
		echo_r ('<a href="html.php?' . get_tablegrid ($tablename, 'day', 30) . '">30 days</a>', 'td');
		echo_r ('<a href="html.php?' . get_tablegrid ($tablename, 'month', 12) . '">12 months</a>', 'td');
		echo_r ('<a href="csv.php?' . get_tablegrid ($tablename, 'raw', 10000) . '">last 10000</a>', 'td');		
		echo_r ('<a href="drop.php?table=' . $tablename . '&confirmation=no' . (empty ($token) ? '' : '&token=' . $token) . '">delete</a>', 'td');
		untag ('tr', 1);
	}
	untag ('table', 1);
}


?>