<?php

// prerequisites

require_once ('functions/token.php');
require_once ('functions/tableindex.php');

?>
<html>
<head>
<title>Basic MySQL Updater</title>
<style>
	
	table { 
		border-spacing:0; 
	}

	td {
		text-align:left;
		border:none;
		padding:5px 10px;
		margin:0;
		border:none;
		border-left:1px solid black;
	}
	
	td.firstcol {
		border-left:none;
	}
	
	td.firstrow {
		border-bottom:1px solid black;
		font-weight:bold;
	}

</style>
</head>
<body>
<h1>Basic MySQL Updater</h1>
<h3>Existing tables</h3>
<?php get_tablelist(); ?>
<h3>Setting Values</h3>
<p>set.php?table=mysqltable&value=0</p>
<p><b>table</b><br />
	Name of the MySQL table that value is to be added to. If table does not exist, it will be created.</p>
<p><b>value</b><br />
	New value to be added to table. Only numeric values (with decimal point if necessary) can be added.</p>
<h3>Reports</h3>
<p>csv.php?table=mysqltable<br />
<p>html.php?table=mysqltable</p>
<p><b>Mandatory Parameters</b></p>
<p><b>table</b><br />
	Name of the MySQL table to be used.</p>
<p><b>Optional Parameters</b></p>
<p><b>grid</b><br />
	Results are grouped with basic statistic functions. Valid grids are month, day, hour, 5min and raw. Default is grouping 
	by hour, raw displays ungrouped data as it is stored in the table.</p>
<p><b>limit</b><br />
	Limits number of lines returned. Older data will be omitted. By default, 24 lines of the newest data will be displayed in
	ascending order.</p>
<p><b>select</b><br />
	Value oldest selects the oldest values in database, value newest selects newest. By default, newest data will be 
	selected.</p>
</body>
</html>