<?php


// basic functions for html output


function echo_r ($s, $t = null, $params = null) {
	global $indent;
	echo str_repeat ("\t", $indent) . (isset ($t) ? '<' . $t . (isset ($params) ? ' ' . $params : '') . '>' : '') . $s . (isset ($t) ? '</' . $t . '>' : '') . "\r\n";
}


function tag ($s, $i, $p = '') {
	global $indent;
	echo_r ('<' . $s . ($p != '' ? ' ' . $p : '') . '>');
	$indent += $i;
}


function untag ($s, $i) {
	global $indent;
	$indent -= $i;
	echo_r ('</' . $s . '>');
}


function html_head ($title) {
	header ('Content-type: text/html');
	tag ('!doctype', 0, 'html');
	tag ('html', 1);
	tag ('head', 1);
	echo_r ($title, 'title');
	tag ('link', 0, 'rel="stylesheet" href="html.css"');
	untag ('head', 1);
	tag ('body', 1);
}


function html_foot() {
	untag ('body', 1);
	untag ('html', 1);
}


?>